=== debian/changelog ===
hurd (1:0.9.git20251029-6) unstable; urgency=medium

  * patches/git-in_pktinfo2: Fix build against glibc 2.42.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Feb 2026 08:35:28 +0100

hurd (1:0.9.git20251029-5) unstable; urgency=medium

  * patches/git-in_pktinfo: Fix build against glibc 2.43.
  * patches/git-linux-glibc-2.43: Fix build against glibc 2.43.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Feb 2026 00:59:12 +0000

hurd (1:0.9.git20251029-4) unstable; urgency=medium

  * control: Add libcrypt-dev build dependency to get crypt.h

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2026 18:54:44 +0100

hurd (1:0.9.git20251029-3) unstable; urgency=medium

  * patches/rpctrace-time: Add -t option to rpctrace for timestamps.
  * patches/cthreads.patch: Drop, not needed any more.
  * rules: preseed presence of mach_port_set_ktype.
  * patches/exists: MAKEDEV: Avoid starting passive translators.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Feb 2026 00:42:34 +0100

hurd (1:0.9.git20251029-2) unstable; urgency=medium

  * patches/git-ucd0: MAKEDEV: Fix supporting ucd0.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Nov 2025 19:13:42 +0100

hurd (1:0.9.git20251029-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/boot-64b: Upstreamed.
    - patches/boot-script-ld-so: Upstreamed.
    - patches/git-bool: Upstreamed.
    - patches/git-dde-pci_enable_device_mem: Upstreamed.
    - patches/git-fifo-multiple-readers: Upstreamed.
    - patches/git-libstore-file-512b-block: Upstreamed.
    - patches/git-rumpdisk-ktype: Upstreamed.
    - patches/proc-pset: Upstreamed.

  [ Mike Kelly ]
  * DDE support for APIC GSIs

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Oct 2025 17:58:41 +0000
